package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapUser")
public class SapUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String personId;
	private String avatar;
	// 邮箱
	private String username;
	// 姓名
	private String name;

	// sap机构
	private String firstOrgId;
	private String secondOrgId;
	private String thirdOrgId;
	private String fourthOrgId;
	private String firstOrgName;
	private String secondOrgName;
	private String thirdOrgName;
	private String fourthOrgName;

	// 微信机构
	private Long firstOrgWxDepartId;
	private Long secondOrgWxDepartId;
	private Long thirdOrgWxDepartId;
	private Long fourthOrgWxDepartId;

	// sap职位
	private String position;
	private String formatPosition;
	// 微信职位
	private String wxPosition;
	// 手机
	private String mobile;
	private String formatMobile;
	// 座机
	private String businessPhone;
	private String formatBusinessPhone;
	private String gender;
	private String email;
	private String formatEmail;
	private Boolean isPrimary;
	private String result;
	private String delFlag;
	private Date createDate;
	private Integer sortNumber;

	private List<List<SapOrg>> departList;

}
